---
lang: en
title: 'API docs: repository.model'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.model.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Model](./repository.model.md)

## Model class

Base class for models

<b>Signature:</b>

```typescript
export declare abstract class Model 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(data)](./repository.model._constructor_.md) |  | Constructs a new instance of the <code>Model</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [definition](./repository.model.definition.md) | <code>static</code> | <code>ModelDefinition</code> |  |
|  [modelName](./repository.model.modelname.md) | <code>static</code> | <code>string</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [toJSON()](./repository.model.tojson.md) |  | Serialize into a plain JSON object |
|  [toObject(options)](./repository.model.toobject.md) |  | Convert to a plain object as DTO |


